package de.humance.eco.profile.model;

import com.liferay.portal.kernel.bean.AutoEscape;
import com.liferay.portal.model.BaseModel;
import com.liferay.portal.model.CacheModel;
import com.liferay.portal.service.ServiceContext;

import com.liferay.portlet.expando.model.ExpandoBridge;

import java.io.Serializable;

import java.util.Date;

/**
 * The base model interface for the VehicleAttributeDefinition service. Represents a row in the &quot;Profile_VehicleAttributeDefinition&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This interface and its corresponding implementation {@link de.humance.eco.profile.model.impl.VehicleAttributeDefinitionModelImpl} exist only as a container for the default property accessors generated by ServiceBuilder. Helper methods and all application logic should be put in {@link de.humance.eco.profile.model.impl.VehicleAttributeDefinitionImpl}.
 * </p>
 *
 * @author Humance
 * @see VehicleAttributeDefinition
 * @see de.humance.eco.profile.model.impl.VehicleAttributeDefinitionImpl
 * @see de.humance.eco.profile.model.impl.VehicleAttributeDefinitionModelImpl
 * @generated
 */
public interface VehicleAttributeDefinitionModel extends BaseModel<VehicleAttributeDefinition> {
    /*
     * NOTE FOR DEVELOPERS:
     *
     * Never modify or reference this interface directly. All methods that expect a vehicle attribute definition model instance should use the {@link VehicleAttributeDefinition} interface instead.
     */

    /**
     * Returns the primary key of this vehicle attribute definition.
     *
     * @return the primary key of this vehicle attribute definition
     */
    public long getPrimaryKey();

    /**
     * Sets the primary key of this vehicle attribute definition.
     *
     * @param primaryKey the primary key of this vehicle attribute definition
     */
    public void setPrimaryKey(long primaryKey);

    /**
     * Returns the vehicle attribute definition ID of this vehicle attribute definition.
     *
     * @return the vehicle attribute definition ID of this vehicle attribute definition
     */
    public long getVehicleAttributeDefinitionId();

    /**
     * Sets the vehicle attribute definition ID of this vehicle attribute definition.
     *
     * @param vehicleAttributeDefinitionId the vehicle attribute definition ID of this vehicle attribute definition
     */
    public void setVehicleAttributeDefinitionId(
        long vehicleAttributeDefinitionId);

    /**
     * Returns the creator ID of this vehicle attribute definition.
     *
     * @return the creator ID of this vehicle attribute definition
     */
    public long getCreatorId();

    /**
     * Sets the creator ID of this vehicle attribute definition.
     *
     * @param creatorId the creator ID of this vehicle attribute definition
     */
    public void setCreatorId(long creatorId);

    /**
     * Returns the creator name of this vehicle attribute definition.
     *
     * @return the creator name of this vehicle attribute definition
     */
    @AutoEscape
    public String getCreatorName();

    /**
     * Sets the creator name of this vehicle attribute definition.
     *
     * @param creatorName the creator name of this vehicle attribute definition
     */
    public void setCreatorName(String creatorName);

    /**
     * Returns the create date of this vehicle attribute definition.
     *
     * @return the create date of this vehicle attribute definition
     */
    public Date getCreateDate();

    /**
     * Sets the create date of this vehicle attribute definition.
     *
     * @param createDate the create date of this vehicle attribute definition
     */
    public void setCreateDate(Date createDate);

    /**
     * Returns the modifier ID of this vehicle attribute definition.
     *
     * @return the modifier ID of this vehicle attribute definition
     */
    public long getModifierId();

    /**
     * Sets the modifier ID of this vehicle attribute definition.
     *
     * @param modifierId the modifier ID of this vehicle attribute definition
     */
    public void setModifierId(long modifierId);

    /**
     * Returns the modifier name of this vehicle attribute definition.
     *
     * @return the modifier name of this vehicle attribute definition
     */
    @AutoEscape
    public String getModifierName();

    /**
     * Sets the modifier name of this vehicle attribute definition.
     *
     * @param modifierName the modifier name of this vehicle attribute definition
     */
    public void setModifierName(String modifierName);

    /**
     * Returns the modified date of this vehicle attribute definition.
     *
     * @return the modified date of this vehicle attribute definition
     */
    public Date getModifiedDate();

    /**
     * Sets the modified date of this vehicle attribute definition.
     *
     * @param modifiedDate the modified date of this vehicle attribute definition
     */
    public void setModifiedDate(Date modifiedDate);

    /**
     * Returns the vehicle type ID of this vehicle attribute definition.
     *
     * @return the vehicle type ID of this vehicle attribute definition
     */
    public long getVehicleTypeId();

    /**
     * Sets the vehicle type ID of this vehicle attribute definition.
     *
     * @param vehicleTypeId the vehicle type ID of this vehicle attribute definition
     */
    public void setVehicleTypeId(long vehicleTypeId);

    /**
     * Returns the type of this vehicle attribute definition.
     *
     * @return the type of this vehicle attribute definition
     */
    @AutoEscape
    public String getType();

    /**
     * Sets the type of this vehicle attribute definition.
     *
     * @param type the type of this vehicle attribute definition
     */
    public void setType(String type);

    /**
     * Returns the title of this vehicle attribute definition.
     *
     * @return the title of this vehicle attribute definition
     */
    @AutoEscape
    public String getTitle();

    /**
     * Sets the title of this vehicle attribute definition.
     *
     * @param title the title of this vehicle attribute definition
     */
    public void setTitle(String title);

    /**
     * Returns the min range value of this vehicle attribute definition.
     *
     * @return the min range value of this vehicle attribute definition
     */
    public double getMinRangeValue();

    /**
     * Sets the min range value of this vehicle attribute definition.
     *
     * @param minRangeValue the min range value of this vehicle attribute definition
     */
    public void setMinRangeValue(double minRangeValue);

    /**
     * Returns the max range value of this vehicle attribute definition.
     *
     * @return the max range value of this vehicle attribute definition
     */
    public double getMaxRangeValue();

    /**
     * Sets the max range value of this vehicle attribute definition.
     *
     * @param maxRangeValue the max range value of this vehicle attribute definition
     */
    public void setMaxRangeValue(double maxRangeValue);

    /**
     * Returns the unit of this vehicle attribute definition.
     *
     * @return the unit of this vehicle attribute definition
     */
    @AutoEscape
    public String getUnit();

    /**
     * Sets the unit of this vehicle attribute definition.
     *
     * @param unit the unit of this vehicle attribute definition
     */
    public void setUnit(String unit);

    /**
     * Returns the sequence number of this vehicle attribute definition.
     *
     * @return the sequence number of this vehicle attribute definition
     */
    public long getSequenceNumber();

    /**
     * Sets the sequence number of this vehicle attribute definition.
     *
     * @param sequenceNumber the sequence number of this vehicle attribute definition
     */
    public void setSequenceNumber(long sequenceNumber);

    @Override
    public boolean isNew();

    @Override
    public void setNew(boolean n);

    @Override
    public boolean isCachedModel();

    @Override
    public void setCachedModel(boolean cachedModel);

    @Override
    public boolean isEscapedModel();

    @Override
    public Serializable getPrimaryKeyObj();

    @Override
    public void setPrimaryKeyObj(Serializable primaryKeyObj);

    @Override
    public ExpandoBridge getExpandoBridge();

    @Override
    public void setExpandoBridgeAttributes(BaseModel<?> baseModel);

    @Override
    public void setExpandoBridgeAttributes(ExpandoBridge expandoBridge);

    @Override
    public void setExpandoBridgeAttributes(ServiceContext serviceContext);

    @Override
    public Object clone();

    @Override
    public int compareTo(VehicleAttributeDefinition vehicleAttributeDefinition);

    @Override
    public int hashCode();

    @Override
    public CacheModel<VehicleAttributeDefinition> toCacheModel();

    @Override
    public VehicleAttributeDefinition toEscapedModel();

    @Override
    public VehicleAttributeDefinition toUnescapedModel();

    @Override
    public String toString();

    @Override
    public String toXmlString();
}
